#ifndef BASICENTITY_H
#define BASICENTITY_H

#include <QString>
#include "DataBaseLMS_global.h"

class BasicEntity
{
public:
    BasicEntity();
    BasicEntity(int id, QString name);

    void setID(int id){this->id = id;}
    int getID(){return id;}

    void setName(QString name){this->name = name;}
    QString getName(){return name;}

protected:
    int id;
    QString name;
};

#endif // BASICENTITY_H
